<template>
  <div class="quiz-intro-section">
    <!-- <main-header></main-header> -->

    <div class="content-section position-relative">
      <img
        src="@/assets/img/game_overlay.png"
        class="bg position-absolute w-100 top-0 start-0"
      />
      <div class="container py-5">
        <div class="row">
          <div
            class="col col-12 d-flex justify-content-center flex-column align-items-center mb-5"
          >
            <h2 class="text-white fw-bold">TODAY'S 1 MINUTE QUIZ</h2>
            <p class="text-white">Join in and get free coin now!</p>
          </div>
        </div>
        <div class="row">
          <div class="col col-12 col-lg-4 mb-5 mb-lg-0 wrap-today-reward">
            <custom-today-reward></custom-today-reward>
          </div>
          <div id="here" class="col col-12 col-lg-8 order-lg-first">
            <div
              class="row position-relative mx-2"
              style="
                overflow: hidden;
                padding-bottom: 120px;
                background: #fffc;
                border-radius: 22px;
              "
            >
              <div class="col">
                <p class="pt-4 px-3 fw-bold">
                  1 Minute Quiz will occur everyday at 00:00 AM. Answer as many
                  questions as you can. In case you get wrong answer, you are
                  out of today play. However, you can come back tommorow. The
                  one to get the most right answers will receive BTC reward.
                  Others will receive BSBT reward. BTC reward will be divided
                  evenly if there are more than one champion, same for BSBT
                  reward for those who rank within top 5 (including tie rank). A
                  15-second ad will be played prior to the quiz. Are you ready?
                </p>
              </div>
              <div
                class="action-text position-absolute d-flex justify-content-between align-items-center"
                style="bottom: 20px"
              >
                <p
                  class="back-text d-flex align-items-center pe-5 ps-3 text-danger"
                  style="height: 42px; font-size: 22px; cursor: pointer"
                  @click="$router.back().catch(() => {})"
                >
                  &lt; Back
                </p>
                <p
                  class="timing-text fw-bold text-light d-flex align-items-center px-3 btn btn-danger rounded-pill"
                  style="height: 42px"
                  @click="getStart"
                >
                  Get Started
                </p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- <main-footer></main-footer> -->
  </div>
</template>

<script>
// import MainHeader from "../components/MainHeader.vue";
// import MainFooter from "../components/MainFooter.vue";
import CustomTodayReward from "../components/play-quiz-survey/CustomTodayReward.vue";
import { apiCustomerPost } from "../services/baseApi";
import sweetAlert from "../helper/sweetAlert.js";

export default {
  components: {
    // MainHeader,
    // MainFooter,
    CustomTodayReward,
  },
  data() {
    return {
      user: {},
    };
  },
  methods: {
    async getStart() {
      const check = await apiCustomerPost("start_quiz/check", {
        created_by: this.user.id,
      });
      if (check.data.data.total == 0) {
        this.$router.push("/quiz-ads").catch(() => {});
      } else {
        sweetAlert.toastAlert(
          this,
          "info",
          "You have run out of today play. Please come back tomorow"
        );
        this.$router.push("/").catch(() => {});
      }
    },
    autoScroll() {
      window.onload = function () {
        var el = document.getElementById("here");
        el.scrollIntoView(true);
      };
    },
  },
  created() {
    this.autoScroll();
  },
  mounted() {
    const user = localStorage.getItem("user");
    if (user) {
      this.user = JSON.parse(user);
    }
    let adsSection = document.getElementById("here");
    setTimeout(() => {
      adsSection.scrollIntoView({ block: "center" });
    }, 700);
  },
};
</script>

<style scoped>
.content-section img {
  height: 100%;
  object-fit: cover;
  z-index: -1;
}
</style>
